### Method

# RB RhythmDB entry_matches_ext_db_key

#### Declaration [src]

    gboolean
    rhythmdb_entry_matches_ext_db_key (
      RhythmDB* db,
      RhythmDBEntry* entry,
      RBExtDBKey* key
    )

#### Description [src]

Checks whether `key` matches `entry`.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry`.

  The data is owned by the caller of the method.

`key`

  Type: `RBExtDBKey`

  A `RBExtDBKey`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the key matches the entry.